import React__default, { forwardRef, useContext, createContext } from "react";
if (typeof HTMLTemplateElement !== "undefined") {
  const getFirstChild = Object.getOwnPropertyDescriptor(Node.prototype, "firstChild").get;
  Object.defineProperty(HTMLTemplateElement.prototype, "firstChild", {
    configurable: true,
    enumerable: true,
    get: function() {
      if (this.dataset.reactAriaHidden) return this.content.firstChild;
      else return getFirstChild.call(this);
    }
  });
}
const $f39a9eba43920ace$export$94b6d0abf7d33e8c = /* @__PURE__ */ createContext(false);
function $f39a9eba43920ace$export$8dc98ba7eadeaa56(props) {
  let isHidden = useContext($f39a9eba43920ace$export$94b6d0abf7d33e8c);
  if (isHidden)
    return /* @__PURE__ */ React__default.createElement(React__default.Fragment, null, props.children);
  let children = /* @__PURE__ */ React__default.createElement($f39a9eba43920ace$export$94b6d0abf7d33e8c.Provider, {
    value: true
  }, props.children);
  return /* @__PURE__ */ React__default.createElement("template", {
    "data-react-aria-hidden": true
  }, children);
}
function $f39a9eba43920ace$export$86427a43e3e48ebb(fn) {
  let Wrapper = (props, ref) => {
    let isHidden = useContext($f39a9eba43920ace$export$94b6d0abf7d33e8c);
    if (isHidden) return null;
    return fn(props, ref);
  };
  Wrapper.displayName = fn.displayName || fn.name;
  return forwardRef(Wrapper);
}
function $f39a9eba43920ace$export$b5d7cc18bb8d2b59() {
  return useContext($f39a9eba43920ace$export$94b6d0abf7d33e8c);
}
export {
  $f39a9eba43920ace$export$86427a43e3e48ebb as $,
  $f39a9eba43920ace$export$8dc98ba7eadeaa56 as a,
  $f39a9eba43920ace$export$b5d7cc18bb8d2b59 as b
};
